Bug 439644 - New perl-Catalyst-Runtime conflicts with existing perl-Catalyst-Manual
New perl-Catalyst-Runtime conflicts with existing perl-Catalyst-Manual
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: perl-Catalyst-Runtime (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
:
: 440069 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-29 19:21 EDT by Kahlil Hodgson
Modified: 2008-05-14 20:12 EDT (History)
2 users (show)

See Also:
Fixed In Version: 5.7012-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-14 20:12:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kahlil Hodgson 2008-03-29 19:21:54 EDT
Well, the following says it all:

Transaction Check Error:
  file /usr/lib/perl5/vendor_perl/5.8.8/Catalyst/Manual.pm from install of
perl-Catalyst-Runtime-5.7012-2.fc8.noarch conflicts with file from package
perl-Catalyst-Manual-5.700701-2.fc8.noarch

Perhaps there is a newer perl-Catalyst-Manual that has not hit my repository yet,
in which case there probably should be some dependency logic in there somewhere.
Comment 1 Chris Weyl 2008-03-30 16:38:42 EDT
I'd "fixed" this in devel, but apparently not in F-7/8 yet...  a newer
perl-Catalyst-Manual will likely have to wait until after the F-9 feature freeze
is up.  In the meantime, I'm building pacakges in F-7/8 and filed bug 439706 to
remind myself...

Thanks for the report :)
Comment 2 Fedora Update System 2008-03-30 16:43:27 EDT
perl-Catalyst-Runtime-5.7012-3.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-03-30 16:43:56 EDT
perl-Catalyst-Runtime-5.7012-3.fc7 has been submitted as an update for Fedora 7
Comment 4 Chris Weyl 2008-04-01 12:35:53 EDT
*** Bug 440069 has been marked as a duplicate of this bug. ***
Comment 5 Fedora Update System 2008-04-01 17:31:38 EDT
perl-Catalyst-Runtime-5.7012-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Catalyst-Runtime'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-2802
Comment 6 Fulko Hew 2008-04-01 21:09:02 EDT
Since I had already removed perl-Catalyst while attempting to work around the
dependancy issue I used the command:

yum --enablerepo=updates-testing install perl-Catalyst-Action-RenderView
perl-Catalyst-Devel perl-Catalyst-Manual perl-Catalyst-Plugin-Static-Simple
perl-Catalyst-Plugin-ConfigLoader perl-Catalyst-Runtime
perl-Catalyst-Plugin-SubRequest

and still got the error:

Transaction Check Error:
  file /usr/lib/perl5/vendor_perl/5.8.8/Catalyst/Manual.pm conflicts between
attempted installs of perl-Catalyst-Manual-5.700701-2.fc8.noarch and
perl-Catalyst-Runtime-5.7012-2.fc8.noarch


is this because the following still mentions repo of fedora, not updates-testing?

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 perl-Catalyst-Devel     noarch     1.03-2.fc8       updates            68 k
 perl-Catalyst-Plugin-SubRequest  noarch     0.11-3.fc8       fedora           
9.3 k
Installing for dependencies:
 perl-Catalyst-Action-RenderView  noarch     0.07-2.fc8       updates          
 12 k
 perl-Catalyst-Manual    noarch     5.700701-2.fc8   fedora            278 k
 perl-Catalyst-Plugin-ConfigLoader  noarch     0.14-3.fc7       fedora         
   15 k
 perl-Catalyst-Plugin-Static-Simple  noarch     0.20-2.fc8       updates       
    29 k
 perl-Catalyst-Runtime   noarch     5.7012-2.fc8     updates           216 k


When I used the command (as provided) I got:

yum --enablerepo=updates-testing update perl-Catalyst-Runtime
updates-testing           100% |=========================| 2.3 kB    00:00
livna                     100% |=========================| 2.1 kB    00:00
fedora                    100% |=========================| 2.1 kB    00:00
updates                   100% |=========================| 2.3 kB    00:00
Setting up Update Process
Could not find update match for perl-Catalyst-Runtime
No Packages marked for Update
Comment 7 Chris Weyl 2008-04-02 00:03:43 EDT
The update is release 3 of this version, namely 5.7012-3.fc8.  You're enabling
the testing repo correctly (as near as I can see), so it's likely the update
hasn't hit your mirror yet.

Here's a direct link in the meantime :)

http://download.fedora.redhat.com/pub/fedora/linux/updates/testing/8/i386/perl-Catalyst-Runtime-5.7012-3.fc8.noarch.rpm
Comment 8 Fulko Hew 2008-04-02 00:15:46 EDT
I just tried it again (the original command) and it now fetched release 3.
The dependency problem no longer occurs, and the packages installed successfully.
Comment 9 Fedora Update System 2008-04-16 23:50:19 EDT
perl-Catalyst-Runtime-5.7012-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-04-16 23:53:21 EDT
perl-Catalyst-Runtime-5.7012-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.